.footer {
  background: $black;

  &__top {
    padding: 60px 0 15px;

    @include media-breakpoint-down(xl) {
      padding-bottom: 7px;
    }

    @include media-breakpoint-down(md) {
      padding-bottom: 5px;
    }
  }

  &__top-wrapper {
    display: flex;
    justify-content: space-between;

    @include media-breakpoint-down(xl) {
      flex-wrap: wrap;
      justify-content: space-around;
      text-align: center;
    }
  }

  &__section {
    max-width: 335px;

    @include media-breakpoint-down(xxl) {
      max-width: 245px;
    }

    @include media-breakpoint-down(xl) {
      margin-bottom: 32px;
      width: 100%;
      max-width: 100%;
    }

    @include media-breakpoint-down(md) {
      margin-bottom: 20px;
    }

    &--sitemap {

      @include media-breakpoint-down(xl) {
        display: flex;
        width: 15%;
        flex-direction: column;
        align-items: flex-start;
      }

      @include media-breakpoint-down(md) {
        width: 100%;
        align-items: center;
        text-align: center;
      }
    }

    &--distributed {
      display: flex;

      @include media-breakpoint-down(xl) {
        flex-direction: column;
        align-items: center;
      }

      .footer__section-content {
        display: flex;
        flex-direction: column;
        justify-content: space-between;

        @include media-breakpoint-down(xl) {
          align-items: center;
        }
      }
    }

    &--left {
      padding-top: 15px;

      @include media-breakpoint-down(xl) {
        padding-top: 0;
      }
    }

    &--middle {
      padding-top: 30px;

      @include media-breakpoint-down(xl) {
        padding-top: 0;
      }
    }
  }

  &__logo {
    margin-bottom: 20px;
    display: block;
    max-width: 145px;

    @include media-breakpoint-down(xl) {
      margin: 0 auto 20px;
    }
  }

  &__link {
    margin-bottom: 10px;
    display: block;
    text-decoration: none;
    color: #fff;

    @include transition;

    @include media-breakpoint-down(xl) {
      margin-bottom: 9px;
    }

    @include media-breakpoint-down(md) {
      margin-bottom: 0;
      display: none;
      font-size: 18px;
      line-height: 1.67;
    }

    &--header {

      @include media-breakpoint-down(md) {
        display: block;
        font-size: 48px;
        line-height: .73;
        color: #fff;
      }
    }

    &--sitemap {

      @include media-breakpoint-down(md) {
        margin-bottom: 20px;
      }
    }
  }

  &__section-content {
  }

  &__socials {
    margin-top: 40px;
    margin-bottom: 15px;

    @include media-breakpoint-down(xl) {
      margin-bottom: 0;
    }

    @include media-breakpoint-down(md) {
      margin-top: 30px;
    }
  }

  &__bottom {
    padding: 30px 0 60px;
    border-top: 1px solid rgba(#fff, .3);

    @include media-breakpoint-down(xl) {
      padding: 40px 0 60px;
    }

    @include media-breakpoint-down(md) {
      padding-top: 30px;
      padding-bottom: 30px;
    }
  }

  &__bottom-wrapper {
    display: flex;
    justify-content: space-between;
    align-items: baseline;

    @include media-breakpoint-down(xl) {
      flex-direction: column;
      align-items: center;
    }
  }

  &__copyright {

    @include media-breakpoint-down(xl) {
      margin-top: 40px;
      order: 3;
    }

    @include media-breakpoint-down(md) {
      margin-top: 30px;
    }
  }

  &__bottom-text {
    font-size: 16px;
    line-height: 1.56;

    @include media-breakpoint-down(md) {
      text-align: center;
    }
  }

  &__bottom-link {
    margin-bottom: 0;
    text-decoration: underline;
    color: #fff;

    @include transition;
  }
}
